Raduga Introduction

What is Raduga?

Raduga is the software that makes radio automation easier.

Raduga lets you create a playlist simply by dragging audio files from the Explorer into the Raduga window. You can rearrange the songs by dragging them with the mouse from one position to another. When you're finished with the playlist, turn on your radio equipment, press the play button and you are on air. That's it.


What's New

What's in Raduga 3.8?

  • Display ID3 tags and Windows Media meta data in the playlist
  • Events can be scheduled for multiple hours per day
  • Password protection for the Options dialog
  • Multiple add-ins can be installed concurrently
  • Configurable music directory as root for the Explorer tree
  • Full screen mode to hide the task bar and the window caption
  • Manually start or skip pending events
  • Import/export Windows Media Player playlists (*.wmp)
  • Sort playlist by display name
  • Scheduled events now always play in the right order, independently of the order in the events list
  • Text information for DJs can be added to the playlist or scheduled events.

Minor improvements

  • Support for special keys on Micorosoft keyboards (Play/Pause, Stop, Next, Previous)
  • Sort events by time, mode, display name
  • Context menu for event scheduler copy/paste/cut/delete
  • Multiple selection of events
  • Drag and drop of multiple events
  • Insert scheduled events at cursor position
  • Extended programmability of scheduled events and add-ins. See Raduga SDK for details.
  • New FtpUpload add-in for generating web pages on the fly (free for registered users)
  • Remember playlist position within .pls files
  • Select current index when loading/saving .rotation and .pls files
  • Display station name of registered users in top toolbar
  • New icons for file types .txt .mp4 and .ogg
  • Modern look of the options dialog window
  • Launch the events dialog by double-click on upcoming events list


Registration

The demo version of Raduga is limited in the way that it randomly plays a Raduga promo and it does not store any preferences persistently. To get rid of these limitations you need to purchase the production version Raduga. The production version comes in 5 different editions:

  • Basic Edition (ideal for parties)
  • Live Assist Edition (ideal for mobile DJs)
  • Full Automation Edition (ideal for bars or stores)
  • Universal Radio Edition (ideal for small radio stations)
  • Professional Radio Edition (including 1 year developer support)

For detailed information about the different editions visit http://www.wolosoft.com/en/raduga/editions.html

Raduga is licensed on a per machine basis. If you need to run it on multiple machines, you will need to purchase multiple licenses.

When ordering Raduga, please indicate your name and the name of your station or company. You will receive a personalized license key and get access to a password-protected download area were you can download the production version.

Distributors

Please contact your nearest distributor for information about pricing and accepted methods of payment.

The most up to date list of of authorized Raduga distributors can also be found on the web site http://www.wolosoft.com/en/raduga/distributors.html

Australia

Radio Broadcast Engineering
Christian Paul Louis Burnat
21 Parsons Street
Rozelle NSW 2039
Australia

Tel: 612 9818 4139
Mob: 0413 584 201
info@burnat.com

Bulgaria

Krassimir Dimitrov
Glarus Ltd.
"Republikanska" Str., 83
Bourgas - 8000

E-Mail: office@glarus-radio.com
Tel. +359 56 800844
Mobile +359 48 998060

China, Hong Kong and Taiwan

SpongeCake Digital Inc.
1st fl., No.6, Str. Jing-Cheng 21st
Taichung, 403
Taiwan, R.O.C.

Tel: 886-4-23201901
Fax: 886-4-23208657
Mob: 886-9-27-368106
E-Mail: for_info@spcake.com

Germany, Austria, Swizerland

Mechthild Collatz
Vertriebs- und Büroservice
Mühlenweg 18
07751 Jena

Tel. (+49) 36 41/22 75 68
Fax: (+49) 36 41/22 75 69
E-Mail: raduga@collatz-vbs.de

Romania

CG & GC Intelligent Technology SA
Calea 13 Septembrie nr. 121
Bucuresti
761031

Tel: +40214105459
Fax: +40214105473
E-Mail: client@cg-gc.ro

Turkey

Raduga Türkiye
merbey Mah., Cumhuriyet Meydani, Yeni Belediye Ishani, Kat: 9,
Mudanya / BURSA / TÜRKIYE

Tel: (+90 224) 544 02 34, (+90 224) 544 21 01
Faks: (+90 224) 544 92 92
GSM: (+90 532) 746 50 05
E-posta: info@radugaturk.com

Uruguay, Latin America

Daniel Varela
radioservicios.com
Rambla Republica de Chile 4573 Ap. 806

Tel/Fax : (5982) 613 75 29
Cellular: (5989) 44 79 09
From Uruguay: 094 44 79 09
E-Mail: manager@radioservicios.com

USA, Canada

William J. Spry
Spry Group
5114 Princeton-Glendale Rd.
Hamilton, OH 45011-2415

Tel/Fax: 513-887-0714
E-Mail: raduga@raduga.net

All other countries

Wolfgang Loch
Closewitzer Str. 41
D-07743 Jena
Germany

Tel: +49 3641 826675
E-Mail: sales@wolosoft.com


Create a playlist

Create a playlist with the system off-air.

1. Use menu File|New or click New to create a new playlist. Alternately you may open an already existing playlist using the File|Open... menu or the toolbar button Open.

2. Insert your tracks using your preferred method from the following:

  • Easy insertion of tracks.
    Click the Add button on the top toolbar. Highlight the files you want to add by clicking once on the file name. To select multiple files keep the Ctrl key pressed while you click on the file name. Click on 'Open'. The tracks you have selected appear on the right-hand side, at the bottom of the master playlist.
  • Using the 'drag and drop' method.
    Use Windows Explorer or Windows Find feature. Select the files you want to add and drag into the master playlist holding down the left mouse button down.
  • Using the build-in file explorer.
    Select sound files in the file tree view in the lower left corner of the Raduga screen. Then press the 'Return' key on the keyboard to append the selected tracks to the master playlist or drag the selected files into the master playlist using the mouse.

3. Use 'drag and drop' or the blue arrows Bottom Down Up Top to change the sequence of playlist items as necessary.

Note: It is now possible to add another album like a media file to the current playlist. When this playlist item is due, the current playlist will be replaced by the specified album. So it is wise to set the next playlist as the last item of the previous playlist if you use the normal player mode.
To have more than one album on screen at once, you must open another instance of Raduga.

4. To remove a track from an album or mini playlist, highlight the track, and use menu Edit|Remove or click on Remove in the top toolbar.
NOTE: This does not remove the track from the hard drive.

5. Save the album with an appropriate filename (File|Save As...). Ensure it is saved as type 'Album' (*.alb).

6. When you have created a playlist (or mini playlist), it's total length can be calculated by pressing "L" on the keyboard. The total playing time will be displayed in a dialog box.

Create or edit a playlist (album) while on-air.

  • Work on the playlist of the currently playing Raduga instance.
    Edit the playlist as described in paragraph "Create a playlist (album) with the system off-air". After doing that, place the blue 'highlight' back to the track that is playing (click once on that track).
    Note: Raduga thinks that whatever is highlighted in blue on the list is the current one playing. If you are moving a track around your playlist, that track is the highlighted one, even if something else in the list is playing. Take care in these situations to always highlight the actual track that is playing with plenty of time before Raduga plays the next track.
  • You can compile brand new albums while the system is broadcasting using multiple instances of Raduga.


Schedule events

Click the 'Schedule' button that is located below the master playlist on the Raduga main screen. The following box appears.

Click on 'New'. The 'Scheduled Event' box appears.

NOTE: All defined events will happen only if the menu item Media|Enable Events is checked.

To play an event once a day: Select 'Once a day' and enter the first date and time you want your mini playlist to be aired, using the 24-hour clock. You also need to input an exiry date.
To play an event every hour of a day: Click on 'Every hour' and fill in the date and time for the first launch and an expiry date.
If you want the event to play multiple times a day, but not each and every hour: Click on 'other...'. Thiw will open a new dialog box where you can select the hours when the event is launched every day.

Repeat for every instance you want the event/jingle/record to be played throughout the day.

To handle live events: Type the exact duration of your live event in seconds, followed by the string ".live" instead of a file name into the 'File Name' field. For instance "120.live" for 2 minutes of live feed.
When the event is due, the currently playing track fades out and the selected mixer line (see Options) is un-muted.
NOTE: You can set the prefered volume using the Windows volume control. Don't forget to mute this channel afterwards.

To schedule playlists: Choose a playlist file instead of a media file. When the playlist event is due, the playlist loads and starts with the first track.
NOTE: The previous playlist will be replaced, any changes are not saved automatically.

To schedule Play/Stop commands: Type ".play" or ".stop" instead of a file name.
The .play command _must_ be an immediate event. It starts playback at the current playlist position. Any pending non-immediate events are reset before the playlist is started.
The .stop command can be immediate or non-immediate. It fades out the current track and selects the next track in the playlist.

To schedule programs: You can add programs, batch files or scripts in the playlist or as scheduled events. When such a program is due, it is started asynchronosly and the playlist continues instantly.
Supported file types are: .exe, .bat, .cmd, .lnk, .vbs, .js and .pl

If you select the 'Run immediately' option, the timed event will be executed at the exact time it is scheduled for, over-riding anything else that is playing at the time. If this option is not selected, the scheduled item will be executed when the current playing item ends.

It is recommended that you enter scheduled events in their chronological order. This is especially important for events that are near to each other. When multiple events are overdue at the same time, Raduga will play them in the order of the event list rather than in the order of schedule times. The event list order can be changed at any time by dragging list items with the mouse.

The time of events (and ad breaks themselves) can be loaded and saved. So, for example, each DJ can have ad breaks scheduled exclusively for each show.

NOTE: All timed events rely on the accuracy of the system clock.


Use mini playlists

Using mini playlists

A mini playlist is basically a playlist within a playlist. When you insert a mini playlists into your master playlist, they appear among the list of record titles. They are very useful for instance to prepare advertisement spots for sponsor breaks or a couple of news items for a newsbreak.

The principle is the same as creating a playlist. Add the required tracks in exactly the same way as a normal playlist. The only difference is how to save the mini playlist.
Click on File|Save As... . In the box titled 'Save As Type', click on the drop-down menu and select 'mini playlist' (*.mpl). Give the selection a name, for example Adds 1.

You can create mini playlists (and playlists) while the system is broadcasting. See Using multiple instances of Raduga.

When you have created a mini playlist (or playlist), it's total length can be calculated by pressing "L" on the keyboard. The total playing time will be displayed in a dialog box.


Using Rotations

A rotation is a pre-selected list of tracks that are played one at a time. Creating a rotation is the same as creating a playlist. When you are finished with the selection of songs and setting up the order, you save the playlist using the 'File Save As...' menu. Select 'Rotation (*.rotation)' from the file type selection drop-down list. The rotation will be saved to a file with the '.rotation' extension.

To use a rotation within a playlist, add the previously saved rotation file to a playlist like you would do with a regular sound file. Raduga will play one track from the rotation and increment a pointer within the rotation file. When raduga plays the rotation the next time, it will choose the next song from the list.

Rotations can also be scheduled using the event scheduler.

Note: When you use rotations within a playlist, it is no longer possible to determine the exact duration of that playlist in advance. That's because the actual track will be determined at runtime.


Using Jingles / Hot Keys

It is possible to configure up to 9 different sounds or jingles that can be played during playback simply by pressing one of the numeric keyboard buttons.

To configure jingles, select the menu Jingles|Edit... . The following box appears.

Click on 'Modify...'. Now you can select your sounds or jingles. To verify your selection press the 'Play' button.
You can load and save hot key sets on an individual DJ or Show basis.

After confirming with 'OK' the sounds can be played by using keyboard buttons '1' to '9'.

Jingles (numbers 1 to 9) can also be started automatically using the event scheduler. To schedule a jingle, create an event using the event scheduler and type the hotkey number followed by '.jingle' in the file name input box. For example, to schedule jingle 7, type '7.jingle'. When the event is due, Raduga will fire the specified jingle from the current jingle set.


Use Player Modes

Using player modes

The drop down menu at the bottom of Raduga Player Mode (default value is 'Normal') allows to switch the player modes quickly.

Manual
Stops after each played track and selects the next track. Press the Play button or the P key to start the next track.
Normal
Plays all tracks in the order of the playlist and stops at the playlists end.
Repeat
Plays all tracks in the order of the playlist and restarts playing if the playlists end is reached.
Random
Plays the track in a random sequence.
Shuffle
Plays all tracks in the order of the playlist. Shuffles the playlist and starts over after the last track. If a Sheduled Playlist is loaded in Shuffle mode, the new playlist is shuffled automatically before it starts with the first track.
Intro Scan
Plays a short intro clip of each track. Use the Options | Intro Scan dialog to configure Intro Scan parameters.


Ensure uninterrupted playback

Click the 'Options' button Options on the toolbar or select Tools|Options... . Select the tab marked 'Silence Detector'. This will bring up the following box.

Choose 'Enable silence detection' by clicking it once with the left mouse button.
If this is enabled, the programme will take the specified course of action when the defined period of silence is detected.
It can display a message box, go on to the next song, or restart the system, whichever you choose.


Internet Broadcasting with Live365

Raduga can be used for Internet broadcasting in combination with all popular audio streaming technologies, such as Windows Media, RealAudio and Shoutcast. Probably the easiest way to start an Internet station is provided by Live365.com.

In conjuction with Live365 you can also display the current track playing in Raduga as well as the most recent track names on a web page to your listeners.

What do you need?

  • A permanent internet connection for the computer running Raduga
  • A broadcaster account at Live365.com (sign up at www.live365.com)
  • Software Studio365-Live 2.1 (available for free from www.live365.com)

Getting started

  1. Start Studio365-Live 2.1
  2. Select the menu Audio Source | External Source | Mixer.
    (For more information about using Studio365-Live 2.1 see http://www.live365.com/broadcast/Studio365-Live/studio365-live.html)
  3. Start Raduga
  4. Select menu Tools | Enable Live365 Upload

The track playing details as shown in Raduga are automatically displayed to the Live365 listeners. Using Raduga's advanced playback options and either 2 soundcards or a soundcard with multiple outputs (such as the Turtle Beach Santa Cruz aka Videologic's Sonic Fury) it's possible to take the output of Raduga, mix it through an external desk, with microphones and other sound sources then take the output of the desk back into the pc and then transmit the final mix to Live365. The details of track now playing as shown on the Raduga screen will still be seen by Live365 listeners.


Using DirectX Plug-ins

DirectX plug-ins are used to enhance your audio output by digital signal processing. Digital compressors, limiters and equalizers are a cheap alternative to expensive studio hardware. You can also use plug-ins for digital sound effects like echo, hall, reverb etc..

To configure DirectX plug-ins, click the toolbar button Options to open the 'Options' dialog, then click the tab marked 'Plug-ins'.

Now click 'Add' to insert a new plug-in. This will open a list of all plug-ins that are installed on your system. Select one plug-in that you want to use in Raduga and click 'Add'.

Note that adding or removing plug-ins does not affect the currently playing song. The new plug-in will become active when the next song starts.

In order to adjust the settings of a plug-in, start a new song, then select the plug-in and click 'Properties'. This will open the plug-in's property page, where you can adjust detailed settings. The image below shows the settings of the Raduga AGC DirectX plug-in.


Multiple Instances

Using multiple instances of Raduga

Just like most other Windows programs you can open more than one instance of Raduga at once. This is particularly useful if the system is broadcasting your sustaining service and you want to compile a new set of albums or mini playlists.
To open a new instance, click on the Start button, Programs, Raduga. You can now work on a new playlist.

Remember though, you cannot test the playlist without it being broadcast.

It is possible to switch between these instances in a live programme, so playlists can be run back-to-back smoothly.
When you close the additional instances of Raduga, take care to close the right one(s). The original version (the one broadcasting) will usually be the first one on the Windows Taskbar at the bottom of your screen.

To show other instances, click on the relevant button.


CD Player

Using Raduga as CD player

How to add CD tracks to the playlist

Press the button Add All CD Tracks or choose "Add All CD Tracks" from the "Playlist" menu to add all track of the currently loaded CD to the playlist. You can also drag CD tracks from the Explorer into the Raduga playlist.

Using track information

Raduga uses the CD database of the Windows CD-Player. You will see the real song names after you have entered them in Windows CD-Player. To change the name of a song or to enter information about a new CD, select a CD track in the playlist and press the button Rename or choose "Rename" from the "File" menu. This will open the CD database editor for the current CD.


Raduga console

The Raduga console

Click buttons to get information about their funtions.

Menu File Menu Edit Menu View Menu Playlist Menu Media Menu Jingles Menu Programs Menu Tools Menu Help Top toolbar Registered station or company name Previously played track Currently playing track Remaining time Next track Directory tree Volume of previous track Volume of current track Master playlist Upcoming events (starts flashing 5 minutes before next event is due) Start pending event Skip pending event Enable events Schedule events Upcoming events within 15 minutes Bottom toolbar Digital clock (double-click to toggle 12/24 hours) Position slider Current track position Track duration Status bar


Playlist Items

Playlist items and events

A playlist in Raduga usually consists of sound tracks, but it may also contain a variety of different items. Most of them are special-purpose files, but some are just commands that do not refer to a particular file. Raduga recognises the type of a playlist item by its file extension. Therefore all playlist items, even those that are not files, must have an extension.

All of the following files and commands may appear in a playlist and can be scheduled as events.

Sound File (.mp3, .wav, .wma)
Sound files include pre-recorded shows, jingles, liners and music tracks recorded from CD or tape.
Video File (.mpg, .avi, .wmv)
Raduga can play video files in original size or in full-screen mode.
Audio CD Track (.cda) 1
To add a complete audio CD, use the menu Playlist|Add All CD Tracks. Individual CD tracks can be added by drag and drop from the CD-ROM drive in the Windows Explorer. Note that the playlist item becomes invalid when you remove the CD from the CD-ROM drive.
Line-In Signal (.live) 1, 3
You can use the line-in channel of your sound card to re-broadcast a satellite news feed or the program from another radio station. Specify the duration of the live feed in seconds and add the extension '.live'. For example type '120.live' as the file name for a live feed of 120 seconds.
Pause (.pause)
Use the menu Playlist|Add Pause to add 10 seconds of silence to the playlist. To change the duration of the pause select the pause track in the master playlist and press the F2 key.
Mini Playlist (.mpl)
A mini playlist is a sequence of news items or commercials that are always played together. This sequence can be scheduled as a single event or it can be included in a regular playlist. It is even possible to include a mini playlist within another mini-playlist.
Text File (.txt) 2
Text files can be used to provide the DJ with additional information. The content on the text file is shown in the output window. To show the output window select the menu item "View|Output Window".
Tip: Use the Notepad editor to edit text files and save them using the default encoding (ANSI).
Play Command (.play) 2, 3
To start automatic brodcasting at a pre-defined time, create a scheduled event and type '.play' for the file name in the 'Edit Event' dialog box. Make sure to check 'Run immediately', otherwise it won't work.
Stop Command (.stop) 2
To stop the automatic broadcast mode at a specified time, add a scheduled event and type '.stop' instead of a file name. You can also add a stop command to a playlist using the menu Playlist|Add Stop Command.
Playlist (.alb) 2
To load a playlist on schedule, specify the full path of a playlist file for a scheduled event. To queue a new playlist at the end of another playlist, you may add a playlist file as the last item of the previous playlist.
Jingle (.jingle) 2
You can schedule one of the 9 jinges of the current jingle set. For example, to simulate the jingle button 2, enter '2.jingle' in the file name text box of the 'Edit Event' dialog box.
Executable (.bat, .cmd, .exe, .js, .pl, .vbs) 2
You can add programs, batch files or scripts in the playlist or as scheduled events. When such a program is due, it is starts asynchronosly and the playlist continues instantly.
Random Track (.dir) 2, 4
To add a random track from a category to a playlist, create a directory and populate it with sound files. Then select this directory using the menu Playlist|Add Random Track. To schedule a random track from this directory, type the directory name followed by the extension '.dir', for example: 'C:\Random Files.dir', where 'C:\Random Files' is the name of a directory.
Rotation (.rotation) 2, 4
A rotation will play one track at a time out of a pre-selected list. You create a rotation list just like a regular playlist, but save it with the file extension '.rotation' instead of '.alb'.

Notes
1 This track will not be affected by DirectX Plug-ins.
2 This command cannot be used within a mini playlist.
3 This command is only useful as a scheduled item.
4 If you have these items in a playlist, it is no longer possible to determine the total playlist length in advance, because the actual track will be determined at runtime.


Shortcut Reference

Raduga can be controlled very easily with One-Key shortcuts. The following list tells you which keyboard shortcuts are available and their corresponding menu item (if available).

Shift Key | Key | Action
 | ~ | Media/Set Overlap Point
 | 1 | Sounds/1
 | 2 | Sounds/2
 | 3 | Sounds/3
 | 4 | Sounds/4
 | 5 | Sounds/5
 | 6 | Sounds/6
 | 7 | Sounds/7
 | 8 | Sounds/8
 | 9 | Sounds/9
 | A | ?/About Raduga...
Ctrl | A | Edit/Redo
 | B | Media/Break After This Song
Ctrl | C | Edit/Copy
 | D | Move Down
 | E | Schedule Events
 | F | View/Full Path
Ctrl | F | Playlist/Find...
 | I | Media/Player Mode/Intro Scan
 | L | Plalyist/Total Length...
 | N | Next Track
Ctrl | N | File/New
 | O | Tools/Options...
Ctrl | O | File/Open
 | P | Media/Play
 | R | Media/Player Mode/Random
 | S | Stop
Ctrl | S | File/Save
 | T | View/Track Numbers
 | U | Move Up
 | V | Previous Track
Ctrl | V | Edit/Paste
 | X | Tools/Mixer...
Ctrl | X | Edit/Cut
Ctrl | Z | Edit/Undo
Alt | Back | Edit/Undo
 | Del | Edit/Remove
Ctrl | Del | Edit/Remove All
Shift | Del | Edit/Cut
 | F2 | File/Rename...
 | F11 | View/Full Screen
 | F12 | File/Save As...
 | Ins | Playlist/Add Tracks...
Ctrl | Ins | Edit/Copy
Shift | Ins | Edit/Paste
Ctrl | Left | Rewind
Ctrl | Right | Fast Forward
 | Pause | Pause
Alt | Return | File/Rename...


Menu File

New

Resets the actually opened Raduga playlist by a new clear one. If you made changes in the previously opened Raduga playlist you will be asked to save them.

Open...

Opens a previously saved Raduga playlist.

Save

Saves the actual Raduga playlist.

Save As...

Saves the actual Raduga playlist, enables you to select the position of the file to be saved and allows you to give a new name to it.

Send...

Sends the playlist to an e-mail correspondent.

Rename...

With this feature you may change the name of the current song.

Recent Files

Opens one of the last used playlists.

Exit

Shuts down the application Raduga.


Menu Edit

Undo

Makes the last playlist operation undone.

Redo

Undoes the last undo.

Cut

Removes the selected track from the playlist and copies it into clipboard.

Copy

Copies the selected track into clipboard.

Paste

Inserts the contents of the clipboard.

Remove

Removes the selected track from the playlist.

Remove All

Removes all tracks from the playlist.


Menu View

Language

Changes Radugas display language. In this version English, Chinese, Dutch, German, French, Spanish, Swedish, Turkish onad other languages are available as language packs.
Note: Having changed the language, you must close Raduga and re-open it.

Font...

Changes the font of the playlist.

Full Path

Shows the exact paths and names of the tracks in the playlist.

Track Numbers

Shows the tracks numbers in the playlist.

Output Window

Shows the radio station or company name this copy of Raduga is licenced for. This option is disabled in the demo version.

Output Window

Shows a docked console window that is used to display text messages.

Full Screen

Toggles the full screen mode by hiding the Raduga window title and the Windows task bar.


Menu Playlist

Add Tracks...

Opens up an Explorer window to search for the tracks you want to add. The selected track(s) will be added on the end of your playlist.

Add Random Track...

Opens up a directory seletion dialog box, where you can choose a directory containing sound files. Raduga will choose a random track from this directory.

Add Pause

Inserts a pause of 10 seconds length to the bottom of the playlist.

Add Stop Command

Adds a break in in the playlist.

Add All CD Tracks

Adds all tracks of the current CD to the end of your playlist.

Find...

Enables you to search for a track within your playlist.

Shuffle

Shuffles the tracks within the playlist into a random order.

Sort

Sorts the items in the playlist by display name.

Total Length...

Calculates the total time your playlist will run.


Menu Media

Play

Starts playing the playlist from the current track.

Player Mode

Switches between the different player modes:
Manual | Breaks after each played track.
Normal | Plays all tracks in the order of the playlist and stop at the playlists end.
Repeat | Plays all tracks in the order of the playlist and restarts playing when the playlist end is reached.
Random | Plays the track in a random sequence.
Shuffle | Plays all tracks in the order of the playlist and shuffles the playlist after the last track. After that it plays the shuffled list to its end, shuffles again and plays again. And so on.
Intro Scan | Plays only a part of the track according to the Option settings (see below).

Enable Events

Enables or disables scheduled events.

Break After This Track

Stops playing after the current track.

Set Overlap Point

Sets the individual overlap point for the currently playing audio track by renaming the sound file. The number after the tilde (~) character specifies the overlap time in seconds.


Menu Jingles

1 to 9

Starts playing the jingle defined for that number.

Edit...

Brings up the Jingles dialog where you can configure the current set of jingles or load a previously saved jingle set.


Menu Programs

Configured programs

Starts the defined tool or application.

Edit...

Opens a dialog where you can configure programs in the programs menu, so you can start them later easily via Raduga.

You may pass the currently selected playlist item as a parameter to any configured program. The following macros will be expanded when they appear in the program parameter or the start folder input field:
$(FilePath) | Full path name
$(FileDir) | Directory name
$(FileName) | File name including extension
$(FileDrive) | Drive name
$(FileExt) | File extension


Menu Tools

Mixer...

Opens your prefered mixer.

Open CD Drive Door

Slides the CD drive door open.

Close CD Drive Door

Closes your CD drive.

Enable Live365 Upload

Sends track information to Live365 Studio.

Options...

Opens the 'Options' dialog.


Menu Help

Contents...

Opens this help file.

About Raduga...

Displays version and copyright information.


Top Toolbar

New | New playlist.
Open | Open playlist from file.
Save | Save playlist to file.
Add | Add tracks to playlist.
Remove | Remove track from playlist.
Undo | Undo a change.
Redo | Redo previous undone operation.
Find | Find a track within the current playlist.
Options | Options.
Sounds 1-9
 | Jingles, or 'hot keys' - these are assigned using the menu option 'Jingles | Edit...'. They may be loaded and saved on an individual DJ or Show basis. For more information see topic 'Using Jingles / Hot Keys'.
About | About Raduga.


Bottom Toolbar

Play | Play. Starts playback from the track highlighted in the playlist.
Pause | Pause.
Stop | Stop. Stops immediately, doesn't finish playing the track.
Previous Track | Replays the previous track immediately.
Rewind | Rewind. Rewinds the current track by an amount set in Options|Intro Scan. By default, it's set to 30 seconds.
Fast Forward | Fast Forward. Fast forwards the current track by an amount set in Options|Intro Scan. By default, it's set to 30 seconds.
Next Track | Starts playing the next track immediately.
Player Mode | Player mode - use the drop down menu to select between Manual, Normal, Repeat, Random, Shuffle or Intro Scan.
Break | Break. Playback stops after the track currently playing. The button then re-sets.
Mixer | Displays the Windows sound mixer.
Open CD | Opens the CD drawer.
Close CD | Closes the CD drawer.
Add All CD Tracks | Add all the CD tracks.
Rename | Re-name the highlighted track in the playlist.
Bottom | Move the highlighted track to the bottom of the playlist.
Down | Move the highlighted track down one position.
Up | Move the highlighted track up one position.
Top | Move the highlighted track to the top of the list.


Dialog Options

Options

Click on the 'Options' icon Options on the top toolbar or use menu Tools|Options... .

The following screen appears, with eight sections:

General, Line-In, Intro Scan, Video, Mixer, Overlap, Log Files, Plug-Ins and Silence Detector.

Click once with the left mouse button on the filing tab itself to change it.


Dialog Options|General

Options|General

Auto play - Raduga will start to play whatever is in the playlist as soon as the programme is opened.
Ignore all errors - allows the programme to continue running if there is a problem.
Accept media files only - this should be ticked as it will only allow audio files in the playlist.
Shutdown confirmation required - an extra confirmation is neccessary to exit Raduga.

To insert a tick in any box, click once in the relevant box with the left mouse button.


Dialog Options|Meta Data

Options|Meta Data

Configure the display format of media items in the playlist. You can configure the display format using meta information that is stored in MP3 files or Windows Media files. If a file does not contain this information, then the file name is shown instead of the meta data.


Dialog Options|Music Folder

Options|Music Folder

Select the root folder of your media file collection. The integrated Explorer tree will display the contents of this folder and its sub folder. If you leave this field empty, the Explorer will contain all files and folders starting with the Windows Desktop as root folder.


Dialog Options|Line-In

Options|Line-In

Select the line-in mixer channel for live feed in this options dialog.


Dialog Options|Intro Scan

Options|Intro Scan

Set the configuration for player mode 'Intro Scan', that allows you to hear the start of each item on the 'album' in order.
This options dialog allows you to change the length of the introduction scan.
You can also change the fast forward and rewind skip in this menu.


Dialog Options|Video

Options|Video

Choose your favourite window size for video playback.


Dialog Options|Mixer

Options|Mixer

Here you may select the mixer program that shall interact with Raduga.


Dialog Options|Overlap

Options|Overlap

Overlap tracks by - Globally this effects every track. Insert a whole figure (between 0 and 10) after 'overlap tracks by'.

Overlaps in mini playlists. Set using Advanced Options, these apply to every mini playlist.

Individual overlaps do apply to tracks within a mini playlist.

Auto fader
Fade on overlap - if, for example, you have a global overlap of 7 seconds set, if autofade is enabled as the next track starts to play 7 seconds from the end of the previous one, the previous track will fade away.
Fade on stop - when enabled, will cause the current playing track to fade for the duration set here, rather than stopping instantly.
Note: Auto fader does not function in mini playlists.

Individual Track overlaps - these are set by re-naming the track's filename, within Windows Explorer or a Raduga playlist (select the track, right-click the mouse, Rename):
At the end of the track name, insert ~X (where X is the number of seconds before the track end to start the next track). The '~' symbol can usually be found with the '#' key.
X does not have to be a whole number, but should be less than 20.
Add the '~' immediately after the track name, leave no spaces.

Over-riding global setting. Individual track overlaps will always over-ride any global overlap set. You can play a track to its very end by naming it File name~0, (zero).
Individual track overlap also functions in mini playlist.

Limitations. Because of the nature of these media types, you cannot overlap CD tracks, live events or MIDI tracks that are scheduled in a direct sequence. While you can prevent MIDI files and live events from overlapping using file names such as 120~0.live, the only way to play two subsequent CD tracks is to set the global overlap time to 0. That's because you can't rename the physical name of the CD tracks.


Dialog Options|Log Files

Options|Log Files

You can generate a log file which will show all the tracks played by the system during any 24 hour period and it shows the time each item was transmitted.


Dialog Options|Sounds

Options|Plug-ins

See paragraph 'Using DirectX Plug-ins' for a detailed description.


Dialog Options|Silence

Options|Silence

See 'Ensure playback without breaks' for detailed information.


Dialog Options|Password Protection

Options|Password Protection

Enable password protection for the Options dialog. This option does not provide real security, because the password is not encrypted. But it prevents unauthorized people from accidently messing up with the program settings.